Page MenuHomePhabricator

Wikitech 'manage instances' displays "PHP Fatal error: Call to a member function getImageName() on a non-object"
Closed, ResolvedPublic

Description

This happens if a labs instance refers to a deleted image type. An unusual situation, but it would be nice to catch the error.

Details

Related Gerrit Patches:
mediawiki/extensions/OpenStackManager : masterDon't bomb out if a VM uses an image that glance doesn't know about.

Event Timeline

Andrew created this task.Feb 18 2015, 6:26 PM
Andrew claimed this task.
Andrew raised the priority of this task from to Needs Triage.
Andrew updated the task description. (Show Details)
Andrew added a project: Cloud-Services.
Andrew added a subscriber: Andrew.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 6:26 PM
Andrew triaged this task as Low priority.Feb 22 2015, 2:04 AM
Andrew set Security to None.

Change 194358 had a related patch set uploaded (by Legoktm):
Don't bomb out if a VM uses an image that glance doesn't know about.

https://gerrit.wikimedia.org/r/194358

Change 194358 merged by jenkins-bot:
Don't bomb out if a VM uses an image that glance doesn't know about.

https://gerrit.wikimedia.org/r/194358

Andrew closed this task as Resolved.Mar 24 2015, 6:39 PM

Patch is merged -- now instances that refer to a missing image display the image name as (missing).